package com.fs.store.param.h5;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Set;


@Data
public class FsUserPageListParam implements Serializable {

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "模糊搜索，可以通过微信名称、电话来模糊匹配")
    private String keyword;

    @ApiModelProperty(value = "用户id，不用传")
    private Long userId;

    @ApiModelProperty(value = "销售id")
    private String companyUserId;

    @ApiModelProperty(value = "注册时间-开始")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String registerStartTime;

    @ApiModelProperty(value = "注册时间-结束")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String registerEndTime;

    @ApiModelProperty(value = "标签")
    private Long[] tagIds;

    @ApiModelProperty(value = "tab序号，0全部；1今日新增；2今日完播；3未看过课")
    private String tabValue;

    @ApiModelProperty(value = "看课状态，0全部；1未看过课；2正常看课；3停止看课")
    private String watchCourseType;

    @ApiModelProperty(value = "缺课状态，0全部；1-已缺课；2-未缺课")
    private String missCourseStatus;

    @ApiModelProperty(value = "排序，0-按注册时间晚到早；1-会员姓名0-9-A-Z")
    private String continueMissCourseSort;

    @ApiModelProperty(value = "昵称 (PC端使用)")
    private String nickname;

    @ApiModelProperty(value = "电话 (PC端使用)")
    private String phone;

    /**
     * 公司id
     */
    private Long companyId;

    private Set<Long> companyUserIds;

    /**
     * 销售端登录用户id（该字段用于区分之前的登录用户）
     */
    private Long pcLoginUserId;

    private Boolean isAdmin;
    /**
     * 判断是否选择了无标签
     */
    private Boolean isNullTag =false;

    /**
     * 项目ID
     */
    @ApiModelProperty(value = "项目ID")
    private Long projectId;

    @ApiModelProperty(value = "状态 0小黑屋 1正常 2拉黑")
    private Integer status;

}

